de.esprit.appsuite.database.dbase.template

## Enum CredentialTemplateDef

- java.lang.Object
- - java.lang.Enum<CredentialTemplateDef>
  - - de.esprit.appsuite.database.dbase.template.CredentialTemplateDef

- All Implemented Interfaces:
    ResourceDef, java.io.Serializable, java.lang.Comparable<CredentialTemplateDef>

      public enum CredentialTemplateDef
      extends java.lang.Enum<CredentialTemplateDef>
      implements ResourceDef

  This enum defines the available resources in this package.
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DERBY_TEMPLATE_CRED`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.project.ResourceDef

      `AUDIO_BASE, FILE_BASE, HELP_BASE, IMAGE_BASE, LAUNCH_BASE, LICENSE_BASE, RESOURCE_BASE, SQL_BASE, TRANSLATION_BASE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceDefAdapter` | `get()`
    `static CredentialTemplateDef` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CredentialTemplateDef[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DERBY_TEMPLATE_CRED

          public static final CredentialTemplateDef DERBY_TEMPLATE_CRED

  - ### Method Detail

    - #### values

          public static CredentialTemplateDef[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CredentialTemplateDef c : CredentialTemplateDef.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CredentialTemplateDef valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public ResourceDefAdapter get()

      Specified by:
        `get` in interface `ResourceDef`

Copyright © 2013 EsprIT-Systems. All Rights Reserved.